aboutsummaryrefslogtreecommitdiff
path: root/test-scenarios
diff options
context:
space:
mode:
Diffstat (limited to 'test-scenarios')
-rw-r--r--test-scenarios/install_gradle_and_maven.sh12
-rw-r--r--test-scenarios/scenarios.json10
2 files changed, 22 insertions, 0 deletions
diff --git a/test-scenarios/install_gradle_and_maven.sh b/test-scenarios/install_gradle_and_maven.sh
new file mode 100644
index 0000000..4324667
--- /dev/null
+++ b/test-scenarios/install_gradle_and_maven.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "gradle" gradle --version
+check "maven" mvn --version
+
+# Report result
+reportResults
diff --git a/test-scenarios/scenarios.json b/test-scenarios/scenarios.json
index 887c219..20d802c 100644
--- a/test-scenarios/scenarios.json
+++ b/test-scenarios/scenarios.json
@@ -1,4 +1,14 @@
{
+ "install_gradle_and_maven": {
+ "image": "ubuntu:focal",
+ "features": {
+ "java": {
+ "version": "17",
+ "install_gradle": true,
+ "install_maven": true
+ }
+ }
+ },
"install_additional_php": {
"image": "ubuntu:focal",
"features": {